Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Interface DocumentInfo

All Superinterfaces:
  Item, NodeInfo, javax.xml.transform.Source, ValueRepresentation

All Known Implementing Classes:
  DocumentImpl, DocumentWrapper, DocumentWrapper, DocumentWrapper, StrippedDocument, TextFragmentValue, TinyDocumentImpl, VirtualDocumentCopy

public interface DocumentInfo
extends NodeInfo

The root node of an XPath tree. (Or equivalently, the tree itself).

This class is used not only for the root of a document, but also for the root of a result tree fragment, which is not constrained to contain a single top-level element.

Field Summary

Fields inherited from interface net.sf.saxon.om.NodeInfo
`ALL_NAMESPACES, EMPTY_NAMESPACE_LIST, LOCAL_NAMESPACES, NO_NAMESPACES`

Method Summary
`java.lang.String[]` | `getUnparsedEntity(java.lang.String name)` Get the unparsed entity with a given name
`NodeInfo` | `selectID(java.lang.String id)` Get the element with a given ID, if any
`void` | `setConfiguration(Configuration config)` Set the configuration, which defines the name pool used for all names in this document.

Methods inherited from interface net.sf.saxon.om.NodeInfo
`compareOrder, copy, generateId, getAttributeValue, getBaseURI, getConfiguration, getDeclaredNamespaces, getDisplayName, getDocumentNumber, getDocumentRoot, getFingerprint, getLineNumber, getLocalPart, getNameCode, getNamePool, getNodeKind, getParent, getPrefix, getRoot, getStringValue, getSystemId, getTypeAnnotation, getURI, hasChildNodes, isSameNodeInfo, iterateAxis, iterateAxis, sendNamespaceDeclarations`

Methods inherited from interface javax.xml.transform.Source
`setSystemId`

Methods inherited from interface net.sf.saxon.om.Item
`getStringValueCS, getTypedValue`

Method Detail

### setConfiguration

    public void setConfiguration(Configuration config)

  Set the configuration, which defines the name pool used for all names in this document. This is always called after a new document has been created.

  Parameters:
    `config` - The configuration to be used

### selectID

    public NodeInfo selectID(java.lang.String id)

  Get the element with a given ID, if any

  Parameters:
    `id` - the required ID value
  Returns:
    the element with the given ID, or null if there is no such ID present (or if the parser has not notified attributes as being of type ID)

### getUnparsedEntity

    public java.lang.String[] getUnparsedEntity(java.lang.String name)

  Get the unparsed entity with a given name

  Parameters:
    `name` - the name of the entity
  Returns:
    if the entity exists, return an array of two Strings, the first holding the system ID of the entity, the second holding the public ID if there is one, or null if not. If the entity does not exist, return null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD